/**
 * Copyright 2019 DH
 * All right reserved.
 * 项目名称: 运维系统
 * 创建日期:2023/10/31
 */
package org.springblade.enums;

/*** 
 * Date:2023/10/31
 * Title:文件所属模块（必须填写）
 * Description：对本文件的详细描述，原则上不能少于30字
 * @author dylan
 * @version 1.0
 * Remark：认为有必要的其他信息
 */
public enum SzyFlowRateMetadataEnum {
    /**
     * 接收时间
     */
    METADATA_FROM_TIME(0, "from_time"),

    /**
     * 采集时间
     */
    METADATA_COLLECT_TIME(1, "tm"),

    /**
     * 上报时间
     */
    METADATA_UP_TIME(2, "up_time"),
    /**
     * 测站编码
     */
    METADATA_RTU_CODE(4, "rtu_code"),
    /**
     * 瞬时流量
     */
    METADATA_CODE_Q(0, "q"),
    /**
     * 累计流量
     */
    METADATA_CODE_ACC_Q(1, "acc_q"),
    /**
     * 1小时用水量
     */
    METADATA_CODE_HOUR_Q(2, "hour_q"),
    /**
     * 1小时累计流量
     */
    METADATA_CODE_HOUR_ACC_Q(3, "hour_acc_q")
    ;

    private int code;

    private String name;

    SzyFlowRateMetadataEnum(int code, String name) {
        this.code = code;
        this.name = name;
    }

    public int getCode() {
        return code;
    }

    public void setCode(int code) {
        this.code = code;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    /**
     * 根据CODE查名称
     *
     * @param code
     * @return
     */
    public static String getName(int code) {
        for (SzyFlowRateMetadataEnum point : SzyFlowRateMetadataEnum.values()) {
            if (point.code == code) {
                return point.name;
            }
        }
        return "";
    }

    /**
     * 根据名称查代码
     * @param name
     * @return
     */
    public static int getCode(String name) {
        for (SzyFlowRateMetadataEnum point : SzyFlowRateMetadataEnum.values()) {
            if (point.name.equals(name)) {
                return point.code;
            }
        }
        return -1;
    }
}
